/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.uytube.ui.video;

import java.awt.Color;
import java.text.SimpleDateFormat;
import javax.swing.*;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeSelectionModel;
import org.uytube.datatypes.DtLista;
import org.uytube.ui.PopUp;

/** @author toto */
public class ComentarVideo extends JInternalFrame {

  private void enableBtn() {
    if (txtComentario.getText().isEmpty()
        || txtFecha.getText().isEmpty()
        || txtNicknameRespuesta.getText().isEmpty()) {
      btnComentar.setBackground(Color.GRAY);
      btnComentar.setEnabled(false);
    } else {
      btnComentar.setEnabled(true);
      btnComentar.setBackground(new Color(0, 123, 64));
    }
  }

  /** Creates new form AltaUsuario */
  public ComentarVideo() {
    initComponents();
    panelComentar.setVisible(false);
    btnResponder.setBackground(Color.GRAY);
    btnResponder.setEnabled(false);
    btnComentar.setBackground(Color.GRAY);
    btnComentar.setEnabled(false);

    txtComentario
        .getDocument()
        .addDocumentListener(
            new DocumentListener() {
              @Override
              public void insertUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void removeUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void changedUpdate(DocumentEvent de) {
                enableBtn();
              }
            });

    txtFecha
        .getDocument()
        .addDocumentListener(
            new DocumentListener() {
              @Override
              public void insertUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void removeUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void changedUpdate(DocumentEvent de) {
                enableBtn();
              }
            });
    txtNicknameRespuesta
        .getDocument()
        .addDocumentListener(
            new DocumentListener() {
              @Override
              public void insertUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void removeUpdate(DocumentEvent de) {
                enableBtn();
              }

              @Override
              public void changedUpdate(DocumentEvent de) {
                enableBtn();
              }
            });
    trComentarios.setRootVisible(false);
    DefaultTreeCellRenderer renderer = (DefaultTreeCellRenderer) trComentarios.getCellRenderer();
    Icon closedIcon = new ImageIcon(getClass().getResource("/images/response.png"));
    Icon openIcon = new ImageIcon(getClass().getResource("/images/response.png"));
    Icon leafIcon = new ImageIcon(getClass().getResource("/images/response.png"));
    renderer.setClosedIcon(closedIcon);
    renderer.setOpenIcon(openIcon);
    renderer.setLeafIcon(leafIcon);
    trComentarios.getSelectionModel().setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
  }

  /**
   * This method is called from within the constructor to initialize the form. WARNING: Do NOT
   * modify this code. The content of this method is always regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
  // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
  private void initComponents() {

    panelUsuariosVideo = new javax.swing.JPanel();
    jPanel1 = new javax.swing.JPanel();
    jLabel13 = new javax.swing.JLabel();
    jSeparator14 = new javax.swing.JSeparator();
    jSeparator11 = new javax.swing.JSeparator();
    jLabel28 = new javax.swing.JLabel();
    jSeparator16 = new javax.swing.JSeparator();
    txtFindNick = new javax.swing.JTextField();
    jScrollPane1 = new javax.swing.JScrollPane();
    tblUsuarios = new javax.swing.JTable();
    jScrollPane4 = new javax.swing.JScrollPane();
    tblVideos = new javax.swing.JTable();
    jSeparator17 = new javax.swing.JSeparator();
    txtFindVideo = new javax.swing.JTextField();
    lblTitle1 = new javax.swing.JLabel();
    btnSiguiente = new javax.swing.JPanel();
    jLabel29 = new javax.swing.JLabel();
    btnCancelar1 = new javax.swing.JPanel();
    jLabel30 = new javax.swing.JLabel();
    panelComentar = new javax.swing.JPanel();
    jPanel2 = new javax.swing.JPanel();
    btnCancelar = new javax.swing.JButton();
    btnComentar = new javax.swing.JButton();
    txtFecha = new javax.swing.JFormattedTextField(new SimpleDateFormat("dd/MM/yyyy"));
    txtComentario = new javax.swing.JTextField();
    jLabel11 = new javax.swing.JLabel();
    jSeparator13 = new javax.swing.JSeparator();
    jSeparator7 = new javax.swing.JSeparator();
    jSeparator5 = new javax.swing.JSeparator();
    txtNicknameRespuesta = new javax.swing.JTextField();
    jSeparator4 = new javax.swing.JSeparator();
    jLabel6 = new javax.swing.JLabel();
    jSeparator8 = new javax.swing.JSeparator();
    jScrollPane2 = new javax.swing.JScrollPane();
    trComentarios = new javax.swing.JTree();
    btnResponder = new javax.swing.JButton();
    jLabel1 = new javax.swing.JLabel();
    lblTitle = new javax.swing.JLabel();

    setBackground(new java.awt.Color(237, 237, 237));
    setBorder(null);
    setClosable(true);
    setIconifiable(true);
    setTitle("Alta Usuario");
    setFont(new java.awt.Font("Monospaced", 1, 18)); // NOI18N
    setMinimumSize(new java.awt.Dimension(510, 609));
    setPreferredSize(new java.awt.Dimension(520, 619));
    getContentPane().setLayout(null);

    panelUsuariosVideo.setBackground(new java.awt.Color(245, 245, 245));
    panelUsuariosVideo.setMinimumSize(new java.awt.Dimension(510, 600));
    panelUsuariosVideo.setPreferredSize(new java.awt.Dimension(510, 600));
    panelUsuariosVideo.setLayout(null);

    jPanel1.setBackground(new java.awt.Color(255, 255, 255));
    jPanel1.setLayout(null);

    jLabel13.setFont(new java.awt.Font("Monospaced", 1, 14)); // NOI18N
    jLabel13.setForeground(new java.awt.Color(33, 33, 33));
    jLabel13.setText("Seleccionar Usuario");
    jPanel1.add(jLabel13);
    jLabel13.setBounds(20, 20, 160, 20);
    jPanel1.add(jSeparator14);
    jSeparator14.setBounds(20, 50, 430, 10);
    jPanel1.add(jSeparator11);
    jSeparator11.setBounds(30, 320, 100, 10);

    jLabel28.setFont(new java.awt.Font("Monospaced", 1, 14)); // NOI18N
    jLabel28.setForeground(new java.awt.Color(33, 33, 33));
    jLabel28.setText("Seleccionar Video");
    jPanel1.add(jLabel28);
    jLabel28.setBounds(20, 250, 150, 20);
    jPanel1.add(jSeparator16);
    jSeparator16.setBounds(20, 270, 430, 10);

    txtFindNick.setForeground(new java.awt.Color(60, 63, 65));
    txtFindNick.setBorder(
        javax.swing.BorderFactory.createTitledBorder(
            javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1),
            "Nickname *",
            javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
            javax.swing.border.TitledBorder.DEFAULT_POSITION,
            new java.awt.Font("Monospaced", 0, 12))); // NOI18N
    jPanel1.add(txtFindNick);
    txtFindNick.setBounds(30, 65, 100, 40);

    tblUsuarios.setModel(
        new javax.swing.table.DefaultTableModel(
            new Object[][] {
              {null, null, null, null},
              {null, null, null, null},
              {null, null, null, null},
              {null, null, null, null}
            },
            new String[] {"Title 1", "Title 2", "Title 3", "Title 4"}));
    tblUsuarios.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
    jScrollPane1.setViewportView(tblUsuarios);

    jPanel1.add(jScrollPane1);
    jScrollPane1.setBounds(40, 120, 390, 110);

    tblVideos.setModel(
        new javax.swing.table.DefaultTableModel(
            new Object[][] {
              {null, null, null, null},
              {null, null, null, null},
              {null, null, null, null},
              {null, null, null, null}
            },
            new String[] {"Title 1", "Title 2", "Title 3", "Title 4"}));
    tblVideos.setSelectionMode(javax.swing.ListSelectionModel.SINGLE_SELECTION);
    jScrollPane4.setViewportView(tblVideos);

    jPanel1.add(jScrollPane4);
    jScrollPane4.setBounds(30, 340, 400, 110);
    jPanel1.add(jSeparator17);
    jSeparator17.setBounds(30, 102, 100, 10);

    txtFindVideo.setForeground(new java.awt.Color(60, 63, 65));
    txtFindVideo.setBorder(
        javax.swing.BorderFactory.createTitledBorder(
            javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1),
            "Video *",
            javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
            javax.swing.border.TitledBorder.DEFAULT_POSITION,
            new java.awt.Font("Monospaced", 0, 12))); // NOI18N
    jPanel1.add(txtFindVideo);
    txtFindVideo.setBounds(30, 284, 100, 38);

    panelUsuariosVideo.add(jPanel1);
    jPanel1.setBounds(20, 60, 470, 470);

    lblTitle1.setFont(new java.awt.Font("Monospaced", 0, 24)); // NOI18N
    lblTitle1.setForeground(new java.awt.Color(53, 12, 87));
    lblTitle1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    lblTitle1.setText("Comentar Video");
    panelUsuariosVideo.add(lblTitle1);
    lblTitle1.setBounds(0, 20, 510, 33);

    btnSiguiente.setBackground(new java.awt.Color(0, 123, 64));
    btnSiguiente.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    btnSiguiente.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            btnSiguienteMouseClicked(evt);
          }
        });

    jLabel29.setFont(new java.awt.Font("Monospaced", 0, 14)); // NOI18N
    jLabel29.setForeground(new java.awt.Color(255, 255, 255));
    jLabel29.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jLabel29.setText("Siguiente");

    javax.swing.GroupLayout btnSiguienteLayout = new javax.swing.GroupLayout(btnSiguiente);
    btnSiguiente.setLayout(btnSiguienteLayout);
    btnSiguienteLayout.setHorizontalGroup(
        btnSiguienteLayout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(
                jLabel29,
                javax.swing.GroupLayout.Alignment.TRAILING,
                javax.swing.GroupLayout.DEFAULT_SIZE,
                130,
                Short.MAX_VALUE));
    btnSiguienteLayout.setVerticalGroup(
        btnSiguienteLayout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel29, javax.swing.GroupLayout.DEFAULT_SIZE, 40, Short.MAX_VALUE));

    panelUsuariosVideo.add(btnSiguiente);
    btnSiguiente.setBounds(110, 543, 130, 40);

    btnCancelar1.setBackground(new java.awt.Color(255, 50, 40));
    btnCancelar1.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));

    jLabel30.setFont(new java.awt.Font("Monospaced", 0, 14)); // NOI18N
    jLabel30.setForeground(new java.awt.Color(255, 255, 255));
    jLabel30.setText("Cancelar");

    javax.swing.GroupLayout btnCancelar1Layout = new javax.swing.GroupLayout(btnCancelar1);
    btnCancelar1.setLayout(btnCancelar1Layout);
    btnCancelar1Layout.setHorizontalGroup(
        btnCancelar1Layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(
                javax.swing.GroupLayout.Alignment.TRAILING,
                btnCancelar1Layout
                    .createSequentialGroup()
                    .addContainerGap(34, Short.MAX_VALUE)
                    .addComponent(jLabel30)
                    .addGap(32, 32, 32)));
    btnCancelar1Layout.setVerticalGroup(
        btnCancelar1Layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel30, javax.swing.GroupLayout.DEFAULT_SIZE, 40, Short.MAX_VALUE));

    panelUsuariosVideo.add(btnCancelar1);
    btnCancelar1.setBounds(270, 543, 130, 40);

    getContentPane().add(panelUsuariosVideo);
    panelUsuariosVideo.setBounds(0, 0, 530, 610);

    panelComentar.setBackground(new java.awt.Color(245, 245, 245));
    panelComentar.setEnabled(false);
    panelComentar.setLayout(null);

    jPanel2.setBackground(new java.awt.Color(255, 255, 255));
    jPanel2.setLayout(null);

    btnCancelar.setBackground(new java.awt.Color(255, 50, 40));
    btnCancelar.setFont(new java.awt.Font("Monospaced", 0, 14)); // NOI18N
    btnCancelar.setForeground(new java.awt.Color(255, 255, 255));
    btnCancelar.setText("Cancelar");
    btnCancelar.setContentAreaFilled(false);
    btnCancelar.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    btnCancelar.setOpaque(true);
    btnCancelar.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            btnCancelarMouseClicked(evt);
          }
        });
    jPanel2.add(btnCancelar);
    btnCancelar.setBounds(300, 380, 110, 40);

    btnComentar.setBackground(new java.awt.Color(0, 123, 64));
    btnComentar.setFont(new java.awt.Font("Monospaced", 0, 14)); // NOI18N
    btnComentar.setForeground(new java.awt.Color(255, 255, 255));
    btnComentar.setText("Comentar");
    btnComentar.setContentAreaFilled(false);
    btnComentar.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    btnComentar.setEnabled(false);
    btnComentar.setOpaque(true);
    btnComentar.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            btnComentarMouseClicked(evt);
          }
        });
    jPanel2.add(btnComentar);
    btnComentar.setBounds(60, 380, 110, 40);

    txtFecha.setBorder(null);
    try {
      txtFecha.setFormatterFactory(
          new javax.swing.text.DefaultFormatterFactory(
              new javax.swing.text.MaskFormatter("##/##/####")));
    } catch (java.text.ParseException ex) {
      ex.printStackTrace();
    }
    txtFecha.setHorizontalAlignment(javax.swing.JTextField.CENTER);
    txtFecha.setText(null);
    jPanel2.add(txtFecha);
    txtFecha.setBounds(150, 78, 110, 23);

    txtComentario.setBorder(
        javax.swing.BorderFactory.createTitledBorder(
            javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1),
            "Comentario *",
            javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
            javax.swing.border.TitledBorder.DEFAULT_POSITION,
            new java.awt.Font("Monospaced", 0, 12))); // NOI18N
    jPanel2.add(txtComentario);
    txtComentario.setBounds(30, 122, 410, 40);

    jLabel11.setFont(new java.awt.Font("Monospaced", 1, 14)); // NOI18N
    jLabel11.setForeground(new java.awt.Color(33, 33, 33));
    jLabel11.setText("Datos de Usuario");
    jPanel2.add(jLabel11);
    jLabel11.setBounds(20, 20, 150, 20);
    jPanel2.add(jSeparator13);
    jSeparator13.setBounds(20, 40, 440, 10);
    jPanel2.add(jSeparator7);
    jSeparator7.setBounds(30, 100, 100, 10);
    jPanel2.add(jSeparator5);
    jSeparator5.setBounds(150, 100, 110, 10);

    txtNicknameRespuesta.setForeground(new java.awt.Color(60, 63, 65));
    txtNicknameRespuesta.setBorder(
        javax.swing.BorderFactory.createTitledBorder(
            javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1),
            "Nickname *",
            javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
            javax.swing.border.TitledBorder.DEFAULT_POSITION,
            new java.awt.Font("Monospaced", 0, 12))); // NOI18N
    jPanel2.add(txtNicknameRespuesta);
    txtNicknameRespuesta.setBounds(30, 62, 100, 40);
    jPanel2.add(jSeparator4);
    jSeparator4.setBounds(30, 160, 410, 10);

    jLabel6.setFont(new java.awt.Font("Monospaced", 1, 14)); // NOI18N
    jLabel6.setForeground(new java.awt.Color(33, 33, 33));
    jLabel6.setText("Comentarios");
    jPanel2.add(jLabel6);
    jLabel6.setBounds(20, 180, 420, 20);
    jPanel2.add(jSeparator8);
    jSeparator8.setBounds(20, 200, 440, 10);

    javax.swing.tree.DefaultMutableTreeNode treeNode1 =
        new javax.swing.tree.DefaultMutableTreeNode("Comentarios");
    trComentarios.setModel(new javax.swing.tree.DefaultTreeModel(treeNode1));
    trComentarios.setCellRenderer(null);
    trComentarios.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
    trComentarios.addTreeSelectionListener(this::trComentariosValueChanged);
    jScrollPane2.setViewportView(trComentarios);

    jPanel2.add(jScrollPane2);
    jScrollPane2.setBounds(30, 210, 420, 150);

    btnResponder.setBackground(new java.awt.Color(0, 102, 204));
    btnResponder.setFont(new java.awt.Font("Monospaced", 0, 14)); // NOI18N
    btnResponder.setForeground(new java.awt.Color(255, 255, 255));
    btnResponder.setText("Responder");
    btnResponder.setContentAreaFilled(false);
    btnResponder.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
    btnResponder.setEnabled(false);
    btnResponder.setOpaque(true);
    btnResponder.addMouseListener(
        new java.awt.event.MouseAdapter() {
          public void mouseClicked(java.awt.event.MouseEvent evt) {
            btnResponderMouseClicked(evt);
          }
        });
    jPanel2.add(btnResponder);
    btnResponder.setBounds(180, 380, 110, 40);

    jLabel1.setFont(new java.awt.Font("Monospaced", 0, 12)); // NOI18N
    jLabel1.setText("Fecha *");
    jPanel2.add(jLabel1);
    jLabel1.setBounds(150, 60, 49, 17);

    panelComentar.add(jPanel2);
    jPanel2.setBounds(20, 60, 470, 470);

    lblTitle.setFont(new java.awt.Font("Monospaced", 0, 24)); // NOI18N
    lblTitle.setForeground(new java.awt.Color(53, 12, 87));
    lblTitle.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    lblTitle.setText("Comentar Video");
    panelComentar.add(lblTitle);
    lblTitle.setBounds(160, 20, 200, 33);

    getContentPane().add(panelComentar);
    panelComentar.setBounds(0, 0, 510, 690);

    setBounds(200, 28, 526, 630);
  } // </editor-fold>//GEN-END:initComponents

  private void btnComentarMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_btnComentarMouseClicked
    if (btnComentar.isEnabled()) {
      DefaultMutableTreeNode root = (DefaultMutableTreeNode) trComentarios.getModel().getRoot();
      root.add(new DefaultMutableTreeNode(new DtLista(txtComentario.getText(), false)));
      DefaultTreeModel model = (DefaultTreeModel) trComentarios.getModel();
      model.reload();
      JFrame frame = (JFrame) this.getDesktopPane().getTopLevelAncestor();
      new PopUp(frame, "Comentar Video", "Comentario ingresado", 5, PopUp.LEVEL.SUCCESS);
    }
  } // GEN-LAST:event_btnComentarMouseClicked

  private void btnCancelarMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_btnCancelarMouseClicked
    dispose();
  } // GEN-LAST:event_btnCancelarMouseClicked

  private void btnResponderMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_btnResponderMouseClicked
    if (btnResponder.isEnabled()) {
      DefaultMutableTreeNode node =
          (DefaultMutableTreeNode) trComentarios.getLastSelectedPathComponent();
      JFrame frame = (JFrame) this.getDesktopPane().getTopLevelAncestor();

      if (node == null) {
        new PopUp(
            frame,
            "Comentar Video",
            "Oh por dios, seleccione un comentario para poder responderlo!",
            5,
            PopUp.LEVEL.ERROR);
        return;
      }
      node.add(new DefaultMutableTreeNode(new DtLista(txtComentario.getText(), false)));
      DefaultTreeModel model = (DefaultTreeModel) trComentarios.getModel();
      model.reload();
      new PopUp(frame, "Comentar Video", "Respuesta ingresada", 5, PopUp.LEVEL.SUCCESS);
    }
  } // GEN-LAST:event_btnResponderMouseClicked

  private void trComentariosValueChanged(
      javax.swing.event.TreeSelectionEvent evt) { // GEN-FIRST:event_trComentariosValueChanged
    DefaultMutableTreeNode node =
        (DefaultMutableTreeNode) trComentarios.getLastSelectedPathComponent();
    if (node == null) {
      btnResponder.setBackground(Color.GRAY);
      btnResponder.setEnabled(false);
    } else {
      btnResponder.setBackground(new Color(0, 102, 204));
      btnResponder.setEnabled(true);
    }
  } // GEN-LAST:event_trComentariosValueChanged

  private void btnSiguienteMouseClicked(
      java.awt.event.MouseEvent evt) { // GEN-FIRST:event_btnSiguienteMouseClicked
    if (btnSiguiente.isEnabled()) {
      panelUsuariosVideo.setVisible(false);
      panelComentar.setVisible(true);
      panelComentar.setEnabled(true);
      panelUsuariosVideo.setEnabled(false);
    }
  } // GEN-LAST:event_btnSiguienteMouseClicked

  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JButton btnCancelar;
  private javax.swing.JPanel btnCancelar1;
  private javax.swing.JButton btnComentar;
  private javax.swing.JButton btnResponder;
  private javax.swing.JPanel btnSiguiente;
  private javax.swing.JLabel jLabel1;
  private javax.swing.JLabel jLabel11;
  private javax.swing.JLabel jLabel13;
  private javax.swing.JLabel jLabel28;
  private javax.swing.JLabel jLabel29;
  private javax.swing.JLabel jLabel30;
  private javax.swing.JLabel jLabel6;
  private javax.swing.JPanel jPanel1;
  private javax.swing.JPanel jPanel2;
  private javax.swing.JScrollPane jScrollPane1;
  private javax.swing.JScrollPane jScrollPane2;
  private javax.swing.JScrollPane jScrollPane4;
  private javax.swing.JSeparator jSeparator11;
  private javax.swing.JSeparator jSeparator13;
  private javax.swing.JSeparator jSeparator14;
  private javax.swing.JSeparator jSeparator16;
  private javax.swing.JSeparator jSeparator17;
  private javax.swing.JSeparator jSeparator4;
  private javax.swing.JSeparator jSeparator5;
  private javax.swing.JSeparator jSeparator7;
  private javax.swing.JSeparator jSeparator8;
  private javax.swing.JLabel lblTitle;
  private javax.swing.JLabel lblTitle1;
  private javax.swing.JPanel panelComentar;
  private javax.swing.JPanel panelUsuariosVideo;
  private javax.swing.JTable tblUsuarios;
  private javax.swing.JTable tblVideos;
  private javax.swing.JTree trComentarios;
  private javax.swing.JTextField txtComentario;
  private javax.swing.JFormattedTextField txtFecha;
  private javax.swing.JTextField txtFindNick;
  private javax.swing.JTextField txtFindVideo;
  private javax.swing.JTextField txtNicknameRespuesta;
  // End of variables declaration//GEN-END:variables
}
